<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLContainersAggregate&lt; AlgData &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a2749326b7d6ba1c35341296bbd41306a">countSS</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a8053ab15460a14476c7a71371b1d2d6d">externalAggregateUpdate</a>(AGG_SYS_MESSAGE_TYPE *aggSysInfo)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a6129464657e507c1215f3e1e6702081d">getMaxActiveAlgData</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a9976289825d64ffc1702eee9d58ae28e">getMinActiveAlgData</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a453b0754a7c5e287f3de647e1c06d012">getNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#ab69c1408aeeb9f875144a5c62b52fde7">getNumLocalVertices</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a0b70ffe78a57d6e7c653ecf1fec335a5">getNumSS</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a8ee39b2641ee2c657515361cd4673e0e">getNumTotalMessages</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#ab3128d6b3a269936ff0e542d9b64914e">getNumVertices</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#ad3d20ae3cc002791fdaca8fb656b477a">getPastMaxActiveAlgData</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a2575c2c465e71141d2cbd9631b9080c6">getPastMinActiveAlgData</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a8cda22ab749825787af2e351fb0c785d">getPastNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#abd971516d03353859ec78c56dcb170be">getPastNumTotalMessages</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a1c6117841204067e5fa705d3b9696e69">getPastSumActiveAlgData</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a55085f6099a4c84bdbe0c9c57df7758d">getSumActiveAlgData</a>()</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#aaaf42f7c6d8e017f0d57ece43bbd829c">incrementExternalMessagesCount</a>(uint_fast32_t currNumMessages)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a3e3a9e37e2c67fcba5320f5ec7fce767">isUpdated</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a4f4f5a3183bfed15fb25f8564ef1137c">localAggregateInit</a>(uint_fast32_t ssIndex, uint_fast32_t numLocActiveNodes)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a816fe8ed65f8c026c96e36a17e149f2e">localAggregateUpdate</a>(VERTEX_ITERATOR vertexIt, uint_fast32_t currNumMessages)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a5d8b931a11e6298c43cce7846cb1559b">maxActiveAlgData</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#ac3490db3b1c5f6d043cdc8e1985f12fd">minActiveAlgData</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#aff294148009304540d45b611213904a7">numExternalMessages</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a8d40305b2874a639cc626fc37af314e0">numLocalActiveNodes</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a4b771b26f66f5b4f43e65818b792fbd4">numLocalVertices</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#af49673c608f65071128d742159ad6a3e">numTotalActiveNodes</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a425869fb41b4276d4a0537ab9d6d7dc9">numTotalMessages</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a52568c479ce2aaf14af4149992147a4a">numVertices</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#aadbf3019d3dfe78da479e1e69befc203">prepareAggregateSysMessage</a>(AGG_SYS_MESSAGE_TYPE *aggSysInfo)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a5bdf6265b94980fd94f690af72ec777f">setNumLocalActiveNoes</a>(uint_fast32_t numActive)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a0e072226e6f62185261706f4f327d5fd">setNumLocalVertices</a>(uint_fast32_t num)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAggInfo.html#a3295d863c695cd038d4f21ae4e723020">setNumVertices</a>(uint_fast32_t num)</td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classAggInfo.html#a8c6790ad56e989b8fb10b42e91bfb009">sumActiveAlgData</a></td><td class="entry"><a class="el" href="classAggInfo.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:01 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
